html {
	height: 100%;
}
body {
	display: flex;
	flex-wrap: wrap;
    align-items: stretch;
    height: 100%;
    margin: 0;
}
body.flip {
	flex-direction: column;
}
body.flip > section.channels {
	order: 2;
}
body.flip > section.profile {
	order: 3;
}
.chat-section {
	flex-basis: 50%;
	height: 50%;
	width: 50%;
    transition: all 0.3s;
    position: relative;
}
.chat-section > button {
	position: absolute;
    background-color: transparent;
    border: none;
    width: 3em;
    height: 2.5em;
    margin: 0;
}
.chat-section > div.content {
	display: flex;
    align-items: center;
    justify-content: center;
}
div.content > form {
	width: 50%;
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
}
div.content > form > * {
	flex-basis: 60%;
}
section.profile label {
	color: #fff;
}
.chat-section > button:active, .chat-section > button:focus {
	outline: none;
}
section.chat-section.users > button {
	right: 0;
	bottom: 0;
}
section.chat-section.profile > button {
	left: 0;
	bottom: 0;
}
section.chat-section.channels > button {
	right: 0;
	top: 0;
}
main.chat-section.discuss > button {
	left: 0;
	top: 0;
}
.chat-section > button > i.fa {
	font-size: 2em;
	color: #fff;
}
section.users > button > i.fa {
	color: #10222b;
}
main.discuss > button > i.fa {
	color: #95ab63;
}
section.users {
	background-color: #bdd684;
	order: 1;
}
section.profile {
	background-color: #10222b;
	order: 2;
}
section.channels {
	background-color: #95ab63;
	order: 3;
}
main.discuss {
	background-color: #f6ffe0;
	order: 4;
}
body.login > section.profile {
    flex-basis: 90%;
    height: 90%;
}
body.login > section.users {
    flex-basis: 10%;
    height: 90%;
}
body.login > section.channels {
    flex-basis: 90%;
    height: 10%;
}
body.login > main.discuss {
	flex-basis: 10%;
	height: 10%;
}
body.flip.list > section.users {
    flex-basis: 90%;
    width: 90%;
}
body.flip.list > section.profile {
    flex-basis: 10%;
    width: 10%;
}
body.flip.list > section.channels {
    flex-basis: 10%;
    width: 90%;
}
body.flip.list > main.discuss {
    flex-basis: 90%;
    width: 10%;
}
body.change > section.users {
    flex-basis: 10%;
    height: 10%;
}
body.change > section.profile {
    flex-basis: 90%;
    height: 10%;
}
body.change > section.channels {
    flex-basis: 90%;
    height: 90%;
}
body.change > main.discuss {
    flex-basis: 10%;
    height: 90%;
}
body.flip.chat > section.users {
    flex-basis: 90%;
    width: 10%;
}
body.flip.chat > section.profile {
    flex-basis: 10%;
    width: 90%;
}
body.flip.chat > section.channels {
	flex-basis: 10%;
	width: 10%;
}
body.flip.chat > main.discuss {
    flex-basis: 90%;
    width: 90%;
}